module Main where

import qualified Data.StorableVector.Lazy as SV

main :: IO ()
main =
   SV.writeFile "speedtest.f64" $
   SV.take 10000000 $
   SV.zipWith (+)
      (SV.iterate SV.defaultChunkSize ((1-1e-6)*) 0.5)
      (SV.iterate SV.defaultChunkSize (1e-6 +) (0::Double))

{-
ghc -ddump-simpl --make -O -Wall -fexcess-precision src/SpecialiseTest.hs >dist/build/SpecialiseTest.core

GHC-6.12.1:

real    0m1.291s
user    0m0.740s
sys     0m0.256s
-}
